Use Autoprefixer for CSS postprocessing

This commit is contained in:
Radu Pogonariu 2019-09-03 00:18:15 +03:00 committed by Tudor Brindus
parent 9f7814d384
commit 85a8c027fa
2 changed files with 22 additions and 5 deletions

1
.browserslistrc Normal file
View File

@ -0,0 +1 @@
cover 97%

View File

@ -1,7 +1,23 @@
#!/bin/bash #!/bin/bash
if ! [ -x "$(command -v sass)" ]; then
echo 'Error: sass is not installed.' >&2
exit 1
fi
if ! [ -x "$(command -v postcss)" ]; then
echo 'Error: postcss is not installed.' >&2
exit 1
fi
if ! [ -x "$(command -v autoprefixer)" ]; then
echo 'Error: autoprefixer is not installed.' >&2
exit 1
fi
FILES=(sass_processed/style.css sass_processed/content-description.css sass_processed/table.css sass_processed/ranks.css)
cd `dirname $0` cd `dirname $0`
sass --update resources:sass_processed sass -f --update resources:sass_processed
pleeease compile sass_processed/style.css -t resources/style.css
mv sass_processed/content-description.css resources/content-description.css echo
mv sass_processed/table.css resources/table.css postcss "${FILES[@]}" --verbose --use autoprefixer -d resources
mv sass_processed/ranks.css resources/ranks.css